Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044995
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-09-04 16:282020-09-16 10:36
ReporterjarmendarizView Statuspublic 
Assigned ToRetail 
PriorityhighResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044995: Review doPrint promise to find non-returned return points

DescriptionAs a fix of issue 0044909, we found that not returning the function after executing the resolve() callback could lead to unexpected behavior. It would be convenient to review other flows of the "PrintReceipt.prototype.doPrint" function to find out if there are other missing points to return the execution.

We have identified at least one place where "return resolve();" should be done instead of just "resolve();": https://gitlab.com/openbravo/projects/retail/pmods/org.openbravo.retail.posterminal/-/blob/master/web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js#L212 [^]

Steps To ReproduceSee above
Proposed SolutionDo "return resolve();" instead of just "resolve();" where needed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044909pi closedprakashmurugesan88 XML template is printed when the cancel operation is set to true 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2020-09-04 16:28 jarmendariz New Issue
2020-09-04 16:28 jarmendariz Assigned To => jarmendariz
2020-09-04 16:28 jarmendariz Triggers an Emergency Pack => No
2020-09-04 16:29 jarmendariz Relationship added related to 0044909
2020-09-07 08:56 jarmendariz Status new => scheduled
2020-09-16 10:31 caristu Assigned To jarmendariz => Retail
2020-09-16 10:31 caristu Status scheduled => acknowledged
2020-09-16 10:35 caristu Description Updated View Revisions
2020-09-16 10:35 caristu Proposed Solution updated
2020-09-16 10:36 caristu Status acknowledged => scheduled
2020-09-16 10:36 caristu Status scheduled => resolved
2020-09-16 10:36 caristu Resolution open => fixed
2020-09-16 10:36 caristu Status resolved => new
2020-09-16 10:36 caristu Resolution fixed => open


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker